GeographicLib 2.7

Loading...
Searching...
No Matches
CartConvert.cpp File Reference

Command line utility for geodetic to cartesian coordinate conversions. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/Geocentric.hpp>`
`#include <GeographicLib/LocalCartesian.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "CartConvert.usage"`

Go to the source code of this file.

## Functions
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for geodetic to cartesian coordinate conversions.

Copyright (c) Charles Karney (2009-2017) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file CartConvert.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 28 of file CartConvert.cpp.

References GeographicLib::DMS::DecodeLatLon(), GeographicLib::Math::extra_digits(), GeographicLib::Geocentric::Forward(), GeographicLib::LocalCartesian::Forward(), GeographicLib::Utility::fract(), GeographicLib::Geocentric::Reverse(), GeographicLib::LocalCartesian::Reverse(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), usage(), GeographicLib::Utility::val(), GeographicLib::Constants::WGS84_a(), and GeographicLib::Constants::WGS84_f().